Package org.springframework.core

# Class ReactiveAdapterRegistry.SpringCoreBlockHoundIntegration

java.lang.Object
org.springframework.core.ReactiveAdapterRegistry.SpringCoreBlockHoundIntegration

All Implemented Interfaces:
  `Comparable<reactor.blockhound.integration.BlockHoundIntegration>`, `reactor.blockhound.integration.BlockHoundIntegration`

Enclosing class:
  ReactiveAdapterRegistry

public static class ReactiveAdapterRegistry.SpringCoreBlockHoundIntegration extends Object implements reactor.blockhound.integration.BlockHoundIntegration
`BlockHoundIntegration` for spring-core classes. Explicitly allows locking within `ConcurrentReferenceHashMap`.

Since:
  5.2.4

## Constructor Summary

Constructors
Constructor
Description
`SpringCoreBlockHoundIntegration()`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyTo(reactor.blockhound.BlockHound.Builder builder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface reactor.blockhound.integration.BlockHoundIntegration

`compareTo, getPriority`

## Constructor Details

### SpringCoreBlockHoundIntegration

public SpringCoreBlockHoundIntegration()

## Method Details

### applyTo

public void applyTo(reactor.blockhound.BlockHound.Builder builder)

Specified by:
  `applyTo` in interface `reactor.blockhound.integration.BlockHoundIntegration`